Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 735306 - dev-ruby/pygments_rb: need py3 port
Summary: dev-ruby/pygments_rb: need py3 port
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2020-10-09
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: py3-tracker, python-3-incompatible
  Show dependency tree
 
Reported: 2020-08-02 14:10 UTC by Michał Górny
Modified: 2020-10-09 07:53 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-08-02 14:10:53 UTC
Please port to py3.
Comment 1 Hans de Graaff gentoo-dev 2020-08-15 10:11:39 UTC
I had a brief look at it a few weeks ago, but the whole wrap-python-in-ruby mechanism is so weird that I couldn't make heads or tails of it.

Upstream looks dead with the last release in 2017 and hardly any commits since. Python 3 support is not ready: https://github.com/tmm1/pygments.rb/issues/152

I'd say we should mask this for removal. jekyll depends on it, but only as a test dependency, and this appears to be wrong because all tests pass without it installed.

I've dropped the dependency in jekyll-4.1.1, and after cleanup this package can be masked for removal.
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-09-08 21:35:06 UTC
Can we clean up the old version now?  Infra's apparently not using the ebuilds anymore.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-09-08 21:35:22 UTC
(of jekyll, I mean)
Comment 4 Larry the Git Cow gentoo-dev 2020-10-09 07:53:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f6a29ee7397259ffef8c27d60729041cdf3a3a6e

commit f6a29ee7397259ffef8c27d60729041cdf3a3a6e
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-10-09 07:50:08 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-10-09 07:50:08 +0000

    dev-ruby/pygments_rb: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/735306
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-ruby/pygments_rb/Manifest                    |  1 -
 dev-ruby/pygments_rb/metadata.xml                | 11 ----
 dev-ruby/pygments_rb/pygments_rb-1.2.1-r1.ebuild | 64 ------------------------
 profiles/package.mask                            |  1 -
 4 files changed, 77 deletions(-)